Subject: Re: [CCAMP] I-D Action: draft-ietf-ccamp-l1csm-yang-07.txt

From: tom petch <[email-masked]>
Date: Thu, 13 Sep 2018 11:54:44 +0000

Another stray thought

there are no reference statements for the imports which I think there
should be e.g.

  import ietf-yang-types {
  reference "RFC 6991 - Common YANG Data Types";
  prefix "yang";
  }

  import ietf-l1-service-types {
  reference "RFC XXXX - A Yang Data Model for L1 Connectivity
          Service Model (L1CSM)";
    prefix "l1-st";

Tom Petch

----- Original Message -----
From: "t.petch" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, September 11, 2018 12:48 PM
Subject: Re: I-D Action: draft-ietf-ccamp-l1csm-yang-07.txt

> Young
>
> Some more stray thoughts.
>
> Those pesky security people have just updated TLS so the reference for
> that is now RFC8446
>
> The netmod group did not update the details of the YANG Module Names
> registry in RFC7950 so a better reference, in the IANA Considerations,
> is RFC6020; elsewhere I think that RFC7950 is the better reference.
>
> You have 'Yang' in the Title, Introduction and in two of the reference
> statements, all of which I think should be 'YANG' ('yang' is of course
> correct in other places)
>
> Some of the lines of description in the YANG module are over 90
> characters, which is too long for an RFC.
>
> Tom Petch
>
>
> ----- Original Message -----
> From: <[email-masked]>
> To: <[email-masked]>
> Cc: <[email-masked]>
> Sent: Thursday, August 30, 2018 7:22 PM
>
> > A New Internet-Draft is available from the on-line Internet-Drafts
> directories.
> > This draft is a work item of the Common Control and Measurement
Plane
> WG of the IETF.
> >
> >         Title           : A Yang Data Model for L1 Connectivity
> Service Model (L1CSM)
> >         Authors         : G. Fioccola
> >                           K. Lee
> >                           Y. Lee
> >                           D. Dhody
> >                           D. Ceccarelli
> > Filename        : draft-ietf-ccamp-l1csm-yang-07.txt
> > Pages           : 25
> > Date            : 2018-08-30
> >
> > Abstract:
> >    This document provides a YANG data model for Layer 1 Connectivity
> >    Service Model (L1CSM). This YANG model is NMDA-compliant.
> >
> >
> >
> >
> > The IETF datatracker status page for this draft is:
> > https://datatracker.ietf.org/doc/draft-ietf-ccamp-l1csm-yang/
> >
> > There are also htmlized versions available at:
> > https://tools.ietf.org/html/draft-ietf-ccamp-l1csm-yang-07
> > https://datatracker.ietf.org/doc/html/draft-ietf-ccamp-l1csm-yang-07
> >
> > A diff from the previous version is available at:
> > https://www.ietf.org/rfcdiff?url2=draft-ietf-ccamp-l1csm-yang-07
> >
> >
> > Please note that it may take a couple of minutes from the time of
> submission
> > until the htmlized version and diff are available at tools.ietf.org.
> >
> > Internet-Drafts are also available by anonymous FTP at:
> > ftp://ftp.ietf.org/internet-drafts/
> >
> > _______________________________________________
> > I-D-Announce mailing list
> > [email-masked]
> > https://www.ietf.org/mailman/listinfo/i-d-announce
> > Internet-Draft directories: http://www.ietf.org/shadow.html
> > or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

---

From: Leeyoung <[email-masked]>
Date: Thu, 13 Sep 2018 16:06:44 +0000

Hi Tom,

Thanks for your comments and suggestions. All your comments have been incorporated in the revision (08) except the length of the description. YANG doctor did not raise this issue. Let me know if this is a problem. Can you point to where I can find the character limit for the description? The two places that exceed 90 characters in the description were due to your comment to add  IETF copy right statement. 

Thanks.
Young

-----Original Message-----
From: CCAMP [mailto:[email-masked]] On Behalf Of tom petch
Sent: Thursday, September 13, 2018 6:55 AM
To: [email-masked]
Subject: Re: [CCAMP] I-D Action: draft-ietf-ccamp-l1csm-yang-07.txt

Another stray thought

there are no reference statements for the imports which I think there should be e.g.

  import ietf-yang-types {

Tom Petch

----- Original Message -----
From: "t.petch" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, September 11, 2018 12:48 PM
Subject: Re: I-D Action: draft-ietf-ccamp-l1csm-yang-07.txt

Plane
> > Internet-Draft directories: http://www.ietf.org/shadow.html or 
> > ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>

_______________________________________________
CCAMP mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ccamp

---

From: tom petch <[email-masked]>
Date: Fri, 14 Sep 2018 11:53:19 +0000

----- Original Message -----
From: "Leeyoung" <[email-masked]>
To: "tom petch" <[email-masked]>; <[email-masked]>
Sent: Thursday, September 13, 2018 5:06 PM

Hi Tom,

Thanks for your comments and suggestions. All your comments have been
incorporated in the revision (08) except the length of the description.
YANG doctor did not raise this issue. Let me know if this is a problem.
Can you point to where I can find the character limit for the
description? The two places that exceed 90 characters in the description
were due to your comment to add  IETF copy right statement.

<tp>

The limit I have in mind is the limit for all RFC, which is
72 characters, as specified in RFC7994.

draft-kwatsen-netmod-artwork-folding is intended to be a BCP which helps
here.

In -07,  description clauses, such as
         "LW-PMD-clause-52 Optical Interface function for 10GBASE-W
PCS-49-WIS-50";
are too long but I think that this is fixed in -08 although it is quite
tight.  I am not sure where you start counting from.

However, I think that the comment line
      /* optical interface func needs to expand for Fiber Channel, SONET
and SDH */
is still too long

The other changes look good (but I have not read parts of -08 yet)

Tom Petch

Thanks.
Young

-----Original Message-----
From: CCAMP [mailto:[email-masked]] On Behalf Of tom petch
Sent: Thursday, September 13, 2018 6:55 AM
To: [email-masked]
Subject: Re: [CCAMP] I-D Action: draft-ietf-ccamp-l1csm-yang-07.txt

Another stray thought

  import ietf-yang-types {

Tom Petch

----- Original Message -----
From: "t.petch" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, September 11, 2018 12:48 PM
Subject: Re: I-D Action: draft-ietf-ccamp-l1csm-yang-07.txt

Plane

---

From: Leeyoung <[email-masked]>
Date: Fri, 14 Sep 2018 14:57:12 +0000

Hi Tom,

Thanks. Now I got your point. This will be fixed in the next revision. Other than, please let me know if there are any other issue on this draft. 
I'd like to ask for WG LC for this draft in IETF103. 

Best regards,
Young
-----Original Message-----
From: tom petch [mailto:[email-masked]] 
Sent: Friday, September 14, 2018 6:53 AM
To: Leeyoung <[email-masked]>; [email-masked]
Subject: Re: I-D Action: draft-ietf-ccamp-l1csm-yang-07.txt

----- Original Message -----
From: "Leeyoung" <[email-masked]>
To: "tom petch" <[email-masked]>; <[email-masked]>
Sent: Thursday, September 13, 2018 5:06 PM

Hi Tom,

Thanks for your comments and suggestions. All your comments have been incorporated in the revision (08) except the length of the description.
YANG doctor did not raise this issue. Let me know if this is a problem.
Can you point to where I can find the character limit for the description? The two places that exceed 90 characters in the description were due to your comment to add  IETF copy right statement.

<tp>

draft-kwatsen-netmod-artwork-folding is intended to be a BCP which helps here.

In -07,  description clauses, such as
         "LW-PMD-clause-52 Optical Interface function for 10GBASE-W PCS-49-WIS-50"; are too long but I think that this is fixed in -08 although it is quite tight.  I am not sure where you start counting from.

However, I think that the comment line
      /* optical interface func needs to expand for Fiber Channel, SONET and SDH */ is still too long

Tom Petch

Thanks.
Young

-----Original Message-----
From: CCAMP [mailto:[email-masked]] On Behalf Of tom petch
Sent: Thursday, September 13, 2018 6:55 AM
To: [email-masked]
Subject: Re: [CCAMP] I-D Action: draft-ietf-ccamp-l1csm-yang-07.txt

Another stray thought

  import ietf-yang-types {

Tom Petch

----- Original Message -----
From: "t.petch" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, September 11, 2018 12:48 PM
Subject: Re: I-D Action: draft-ietf-ccamp-l1csm-yang-07.txt

Plane